Loading...
Searching...
No Matches
mqtt_client_s Struct Reference

`#include <mqtt_priv.h>`

## Data Fields

u16_t | cyclic_tick
u16_t | pkt_id_seq
u16_t | inpub_pkt_id
u8_t | conn_state
void * | connect_arg
struct mqtt_request_t * | pend_req_queue
mqtt_incoming_data_cb_t | data_cb
u32_t | msg_idx
struct mqtt_ringbuf_t | output

## Detailed Description

MQTT client

## Field Documentation

## conn_state

u8_t mqtt_client_s::conn_state

Connection state

## connect_arg

void* mqtt_client_s::connect_arg

Connection callback

## cyclic_tick

u16_t mqtt_client_s::cyclic_tick

Timers and timeouts

## data_cb

mqtt_incoming_data_cb_t mqtt_client_s::data_cb

Incoming data callback

## inpub_pkt_id

u16_t mqtt_client_s::inpub_pkt_id

Packet identifier of pending incoming publish

## msg_idx

u32_t mqtt_client_s::msg_idx

Input

## output

struct mqtt_ringbuf_t mqtt_client_s::output

Output ring-buffer

## pend_req_queue

struct mqtt_request_t* mqtt_client_s::pend_req_queue

Pending requests to server

## pkt_id_seq

u16_t mqtt_client_s::pkt_id_seq

Packet identifier generator

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mqtt_priv.h